# general info
NAME="lynx"
DESC="The text web browser"
VERSION="2.9.2"

# required files
FILES=("https://invisible-mirror.net/archives/lynx/tarballs/lynx${VERSION}.tar.bz2")
HASHES=("7374b89936d991669e101f4e97f2c9592036e1e8cdaa7bafc259a77ab6fb07ce")

# install and build depends
DEPENDS=(
  "brotli" "bzip2" "glibc"
  "libidn2" "ncurses" "openssl"
  "zlib"
)
BUILD=()

PACKAGE(){
  tar xf "${NAME}${VERSION}.tar.bz2"
  cd "${NAME}${VERSION}"

  ./configure --prefix=/usr \
		--sysconfdir=/etc       \
		--with-ssl=/usr         \
		--enable-externs        \
		--enable-nls            \
		--enable-ipv6           \
		--mandir=/usr/share/man

  make
  make DESTDIR="${ROOTDIR}" install

  sed -i -e "s|^HELPFILE.*$|HELPFILE:file:///usr/share/doc/lynx/lynx_help/lynx_help_main.html|" "${ROOTDIR}/etc/lynx.cfg"
	install -d "${ROOTDIR}/usr/share/doc/lynx"
	cp -rf lynx_help "${ROOTDIR}/usr/share/doc/lynx"

  cd .. && rm -r "${NAME}${VERSION}"
}

